Check proxy health
curl --request POST \
--url https://api.onkernel.com/proxies/{id}/check \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onkernel.com/proxies/{id}/check"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onkernel.com/proxies/{id}/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"protocol": "https",
"last_checked": "2023-11-07T05:31:56Z",
"ip_address": "192.168.1.1",
"config": {
"country": "US"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}Proxies
Check proxy health
Run a health check on the proxy to verify it’s working.
POST
/
proxies
/
{id}
/
check
Check proxy health
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Health check completed
Configuration for routing traffic through a proxy.
Proxy type to use. In terms of quality for avoiding bot-detection, from best to worst: mobile > residential > isp > datacenter.
Available options:
datacenter, isp, residential, mobile, custom Readable name of the proxy.
Protocol to use for the proxy connection.
Available options:
http, https Current health status of the proxy.
Available options:
available, unavailable Timestamp of the last health check performed on this proxy.
IP address that the proxy uses when making requests.
Example:
"192.168.1.1"
Configuration specific to the selected proxy type.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
⌘I

